// Copyright (c) 2017-2020, Lawrence Livermore National Security, LLC and
// other Axom Project Developers. See the top-level COPYRIGHT file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)


#ifndef AXOM_UNIFIED_PRIMAL_HPP
#define AXOM_UNIFIED_PRIMAL_HPP

#include "axom/config.hpp"

#include "axom/primal/geometry/BezierCurve.hpp"
#include "axom/primal/geometry/BoundingBox.hpp"
#include "axom/primal/geometry/OrientedBoundingBox.hpp"
#include "axom/primal/geometry/OrientationResult.hpp"
#include "axom/primal/geometry/NumericArray.hpp"
#include "axom/primal/geometry/Plane.hpp"
#include "axom/primal/geometry/Point.hpp"
#include "axom/primal/geometry/Polygon.hpp"
#include "axom/primal/geometry/Ray.hpp"
#include "axom/primal/geometry/Segment.hpp"
#include "axom/primal/geometry/Sphere.hpp"
#include "axom/primal/geometry/Tetrahedron.hpp"
#include "axom/primal/geometry/Triangle.hpp"
#include "axom/primal/geometry/Vector.hpp"
#include "axom/primal/operators/clip.hpp"
#include "axom/primal/operators/closest_point.hpp"
#include "axom/primal/operators/intersect.hpp"
#include "axom/primal/operators/orientation.hpp"
#include "axom/primal/operators/squared_distance.hpp"
#include "axom/primal/operators/compute_bounding_box.hpp"
#include "axom/primal/operators/in_sphere.hpp"

#endif // AXOM_UNIFIED_PRIMAL_HPP
